# Uses of Class
javax.swing.text.NavigationFilter

Packages that use NavigationFilter
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of NavigationFilter in javax.swing

Methods in javax.swing that return NavigationFilter
Modifier and Type
Method
Description
`protected NavigationFilter`
JFormattedTextField.AbstractFormatter.`getNavigationFilter()`
Subclass and override if you wish to provide a filter to restrict where the user can navigate to.

## Uses of NavigationFilter in javax.swing.text

Methods in javax.swing.text that return NavigationFilter
Modifier and Type
Method
Description
`protected NavigationFilter`
DefaultFormatter.`getNavigationFilter()`
Returns the `NavigationFilter` used to restrict where the cursor can be placed.
`NavigationFilter`
JTextComponent.`getNavigationFilter()`
Returns the `NavigationFilter`.
Methods in javax.swing.text with parameters of type NavigationFilter
Modifier and Type
Method
Description
`void`
JTextComponent.`setNavigationFilter​(NavigationFilter filter)`
Sets the `NavigationFilter`.